var AppDispatcher = require('../dispatcher/appDispatcher');
var SectionConstants = require('../constants/sectionConstants');

// Define action methods
var SectionActions = {

  loadSections: function() {
    AppDispatcher.handleAction({
      actionType: SectionConstants.LOAD_SECTIONS
    })
  },


  setSectionHover: function(section) {
    AppDispatcher.handleAction({
      actionType: SectionConstants.SET_SECTION_HOVER,
      section: section
    });
  },

  unsetSectionHover: function() {
    AppDispatcher.handleAction({
      actionType: SectionConstants.UNSET_SECTION_HOVER
    });
  },

  loadSectionDetails: function(sectionId) {
    AppDispatcher.handleAction({
      actionType: SectionConstants.LOAD_SECTION_DETAILS,
      sectionId: sectionId
    });
  }

};

module.exports = SectionActions;
